Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - Atom

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Atom

The Atom object represents a Runtime, Runtime cluster, or Runtime cloud (Runtime cloud cluster and Cloud Attachment).

Note:

  • Many of the fields in the Atom object correspond to controls in the Runtime Information panel of the Runtime Management page.
  • As of April 13, 2024, the createdBy field returns in the successful responses of the CREATE, GET, and QUERY operations. It will not be returned for the Runtimes that were created prior to this date.

Required Privileges

You need these privileges in the target environment:

Write access

  • API — Use the Boomi Platform API to access account data.
  • ATOM_MANAGEMENT — Configure and administer integration runtimes.

Read access

  • API — Use the Boomi Platform API to access account data.
  • ATOM_MANAGEMENT — Configure and administer integration runtimes.
  • OR ATOM_MANAGEMENT_READ_ONLY

Creates a Runtime object

Creates and attaches a Runtime with the specified name to a specified Runtime cloud owned by the requesting account. This operation cannot be used to create a local Runtime. You must have the Runtime Management privilege to perform the POST operation.

Note: The createdBy is a system-generated or read-only field. It cannot be passed in a CREATE request.

Authorizations:
basicAuth
Request Body schema:
optional
cloudId
string

(For Runtimes attached to Runtime clouds) A unique ID assigned by the system to the Runtime cloud.

createdBy
string

The user ID (email address) of a user who created the Runtime.

hostName
string

The name or IP address of the installation machine for the Runtime, Runtime cluster, or Runtime cloud. If the Runtime is attached to a Runtime cloud, the name of the Runtime cloud appears.

cloudMoleculeId
string

ID of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

purgeImmediate
boolean

If true, purges processed documents and temporary data immediately after a process ends. If you set this to true, also set purgeHistoryDays to a value greater than 0, such as 1. This combination not only purges your data right away, but also runs an extra cleanup process on a daily basis.

forceRestartTime
integer <int64>

The length of time, in milliseconds, that the platform waits before it forces the Runtime (or Runtime cluster or Runtime cloud) to restart after changes to the Atom's configuration. Changes do not take effect until a restart occurs. However, regardless of this value, in a Runtime cluster or Runtime cloud that uses forked execution, automatic restart is deferred until currently running processes are complete.

object (Atom_Nodes)
type
string
Enum: "CLOUD" "MOLECULE" "ATOM"

The type of Runtime. Possible values are: Cloud, Molecule, Atom

capabilities
Array of strings
Items Enum: "GATEWAY" "BROKER"
cloudName
string

The name of the associated Runtime cloud. This field is populated only for Cloud Attachments and Cloud runtime clusters.

dateInstalled
string <date-time>

The installation date and time of the Runtime, Runtime cluster, or Runtime cloud. For Runtimes attached to a Runtime cloud, this is the installation date and time of the Runtime cloud.

id
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

cloudOwnerName
string

The account name of the associated Runtime cloud's owner.

isCloudAttachment
boolean

Indicates if a Runtime is a Cloud Attachment. It is set to True for the Cloud Attachment; otherwise, it is False for other Runtime. It is only populated for Cloud Attachments and Cloud runtime clusters.

name
string

A user-defined name for the Runtime, Runtime cluster, or Runtime cloud.

cloudMoleculeName
string

The name of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

instanceId
string

(For Runtimes attached to Runtime clouds) A unique ID for the Runtime. The ID consists of the owning account ID followed by a period and a suffix.

purgeHistoryDays
integer <int32>

The number of days after a process run when the purging of logs, processed documents, and temporary data occurs. The default is 30 days. The maximum is 9999. A value of 0 disables purging.

status
string
Enum: "UNKNOWN" "ONLINE" "WARNING" "OFFLINE"

The status of the Runtime. Possible values are: UNKNOWN, ONLINE, WARNING, OFFLINE

description
string

An optional field to provide additional context for runtimes. The maximum character limit is 255.

statusDetail
string

Provides more granular status details for the runtime.

Possible values:

When the runtime status is ONLINE:

  • ONLINE_RUNNING
  • ONLINE_STOPPING
  • ONLINE_STARTING
  • CLUSTER_ISSUE
  • RESTARTING
  • RESTARTING_TOO_LONG
  • RESTARTING_DEAD

When the runtime status is OFFLINE:

  • OFFLINE
  • OFFLINE_NOT_STOPPED
  • OFFLINE_NOT_INITIALIZED
  • OFFLINE_WITH_ERROR
  • OFFLINE_WITH_CLUSTER_ISSUE
  • DELETED
  • OFFBOARDING

When the runtime status is WARNING: CLUSTER_ISSUE

When the runtime status is UNKNOWN: UNKNOWN

currentVersion
string

A string that identifies the Runtime, Runtime cluster, or Runtime cloud's latest build.

Responses

Response Schema:
cloudId
string

(For Runtimes attached to Runtime clouds) A unique ID assigned by the system to the Runtime cloud.

createdBy
string

The user ID (email address) of a user who created the Runtime.

hostName
string

The name or IP address of the installation machine for the Runtime, Runtime cluster, or Runtime cloud. If the Runtime is attached to a Runtime cloud, the name of the Runtime cloud appears.

cloudMoleculeId
string

ID of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

purgeImmediate
boolean

If true, purges processed documents and temporary data immediately after a process ends. If you set this to true, also set purgeHistoryDays to a value greater than 0, such as 1. This combination not only purges your data right away, but also runs an extra cleanup process on a daily basis.

forceRestartTime
integer <int64>

The length of time, in milliseconds, that the platform waits before it forces the Runtime (or Runtime cluster or Runtime cloud) to restart after changes to the Atom's configuration. Changes do not take effect until a restart occurs. However, regardless of this value, in a Runtime cluster or Runtime cloud that uses forked execution, automatic restart is deferred until currently running processes are complete.

object (Atom_Nodes)
type
string
Enum: "CLOUD" "MOLECULE" "ATOM"

The type of Runtime. Possible values are: Cloud, Molecule, Atom

capabilities
Array of strings
Items Enum: "GATEWAY" "BROKER"
cloudName
string

The name of the associated Runtime cloud. This field is populated only for Cloud Attachments and Cloud runtime clusters.

dateInstalled
string <date-time>

The installation date and time of the Runtime, Runtime cluster, or Runtime cloud. For Runtimes attached to a Runtime cloud, this is the installation date and time of the Runtime cloud.

id
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

cloudOwnerName
string

The account name of the associated Runtime cloud's owner.

isCloudAttachment
boolean

Indicates if a Runtime is a Cloud Attachment. It is set to True for the Cloud Attachment; otherwise, it is False for other Runtime. It is only populated for Cloud Attachments and Cloud runtime clusters.

name
string

A user-defined name for the Runtime, Runtime cluster, or Runtime cloud.

cloudMoleculeName
string

The name of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

instanceId
string

(For Runtimes attached to Runtime clouds) A unique ID for the Runtime. The ID consists of the owning account ID followed by a period and a suffix.

purgeHistoryDays
integer <int32>

The number of days after a process run when the purging of logs, processed documents, and temporary data occurs. The default is 30 days. The maximum is 9999. A value of 0 disables purging.

status
string
Enum: "UNKNOWN" "ONLINE" "WARNING" "OFFLINE"

The status of the Runtime. Possible values are: UNKNOWN, ONLINE, WARNING, OFFLINE

description
string

An optional field to provide additional context for runtimes. The maximum character limit is 255.

statusDetail
string

Provides more granular status details for the runtime.

Possible values:

When the runtime status is ONLINE:

  • ONLINE_RUNNING
  • ONLINE_STOPPING
  • ONLINE_STARTING
  • CLUSTER_ISSUE
  • RESTARTING
  • RESTARTING_TOO_LONG
  • RESTARTING_DEAD

When the runtime status is OFFLINE:

  • OFFLINE
  • OFFLINE_NOT_STOPPED
  • OFFLINE_NOT_INITIALIZED
  • OFFLINE_WITH_ERROR
  • OFFLINE_WITH_CLUSTER_ISSUE
  • DELETED
  • OFFBOARDING

When the runtime status is WARNING: CLUSTER_ISSUE

When the runtime status is UNKNOWN: UNKNOWN

currentVersion
string

A string that identifies the Runtime, Runtime cluster, or Runtime cloud's latest build.

Request samples

Content type
{
  • "cloudId": "23456789-abcd-ef01-2345-6789abcdef01",
  • "name": "Cloud Atom"
}

Response samples

Content type
{
  • "@type": "Atom",
  • "id": "3456789a-bcde-f012-3456-789abcdef012",
  • "cloudId": "23456789-abcd-ef01-2345-6789abcdef01",
  • "name": "Cloud Atom",
  • "status": "ONLINE",
  • "type": "CLOUD",
  • "hostName": "Cloud-WN7X64-9L7K7S2.domain.tld",
  • "dateInstalled": "2016-06-10T16:11:26.749Z",
  • "purgeHistoryDays": 30,
  • "purgeImmediate": false,
  • "forceRestartTime": 0,
  • "instanceId": "account-123456.HP81GZ"
}

Retrieves an instance of a Runtime object

Retrieves the properties of the Runtime, Runtime cluster, or Runtime cloud having the specified ID.

For Runtime clusters and Runtime clouds that are part of a multi-node runtime, the GET operation returns values for the following additional variables:

  • nodeId
  • hostName
  • status
  • clusterProblem

For more information on these variables, refer to the topic Cluster Status panel.

Authorizations:
basicAuth
path Parameters
id
required
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

Responses

Response Schema:
cloudId
string

(For Runtimes attached to Runtime clouds) A unique ID assigned by the system to the Runtime cloud.

createdBy
string

The user ID (email address) of a user who created the Runtime.

hostName
string

The name or IP address of the installation machine for the Runtime, Runtime cluster, or Runtime cloud. If the Runtime is attached to a Runtime cloud, the name of the Runtime cloud appears.

cloudMoleculeId
string

ID of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

purgeImmediate
boolean

If true, purges processed documents and temporary data immediately after a process ends. If you set this to true, also set purgeHistoryDays to a value greater than 0, such as 1. This combination not only purges your data right away, but also runs an extra cleanup process on a daily basis.

forceRestartTime
integer <int64>

The length of time, in milliseconds, that the platform waits before it forces the Runtime (or Runtime cluster or Runtime cloud) to restart after changes to the Atom's configuration. Changes do not take effect until a restart occurs. However, regardless of this value, in a Runtime cluster or Runtime cloud that uses forked execution, automatic restart is deferred until currently running processes are complete.

object (Atom_Nodes)
type
string
Enum: "CLOUD" "MOLECULE" "ATOM"

The type of Runtime. Possible values are: Cloud, Molecule, Atom

capabilities
Array of strings
Items Enum: "GATEWAY" "BROKER"
cloudName
string

The name of the associated Runtime cloud. This field is populated only for Cloud Attachments and Cloud runtime clusters.

dateInstalled
string <date-time>

The installation date and time of the Runtime, Runtime cluster, or Runtime cloud. For Runtimes attached to a Runtime cloud, this is the installation date and time of the Runtime cloud.

id
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

cloudOwnerName
string

The account name of the associated Runtime cloud's owner.

isCloudAttachment
boolean

Indicates if a Runtime is a Cloud Attachment. It is set to True for the Cloud Attachment; otherwise, it is False for other Runtime. It is only populated for Cloud Attachments and Cloud runtime clusters.

name
string

A user-defined name for the Runtime, Runtime cluster, or Runtime cloud.

cloudMoleculeName
string

The name of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

instanceId
string

(For Runtimes attached to Runtime clouds) A unique ID for the Runtime. The ID consists of the owning account ID followed by a period and a suffix.

purgeHistoryDays
integer <int32>

The number of days after a process run when the purging of logs, processed documents, and temporary data occurs. The default is 30 days. The maximum is 9999. A value of 0 disables purging.

status
string
Enum: "UNKNOWN" "ONLINE" "WARNING" "OFFLINE"

The status of the Runtime. Possible values are: UNKNOWN, ONLINE, WARNING, OFFLINE

description
string

An optional field to provide additional context for runtimes. The maximum character limit is 255.

statusDetail
string

Provides more granular status details for the runtime.

Possible values:

When the runtime status is ONLINE:

  • ONLINE_RUNNING
  • ONLINE_STOPPING
  • ONLINE_STARTING
  • CLUSTER_ISSUE
  • RESTARTING
  • RESTARTING_TOO_LONG
  • RESTARTING_DEAD

When the runtime status is OFFLINE:

  • OFFLINE
  • OFFLINE_NOT_STOPPED
  • OFFLINE_NOT_INITIALIZED
  • OFFLINE_WITH_ERROR
  • OFFLINE_WITH_CLUSTER_ISSUE
  • DELETED
  • OFFBOARDING

When the runtime status is WARNING: CLUSTER_ISSUE

When the runtime status is UNKNOWN: UNKNOWN

currentVersion
string

A string that identifies the Runtime, Runtime cluster, or Runtime cloud's latest build.

Response samples

Content type
{
  • "@type": "Atom",
  • "id": "3456789a-bcde-f012-3456-789abcdef012",
  • "name": "My Local Atom",
  • "status": "OFFLINE",
  • "type": "ATOM",
  • "hostName": "WN7X64-11A2BB3",
  • "dateInstalled": "2016-02-05T14:49:21Z",
  • "currentVersion": "17.08.0.0",
  • "purgeHistoryDays": 18,
  • "purgeImmediate": false,
  • "forceRestartTime": 9
}

Modifies or updates a Runtime object

Updates the Runtime object having the specified ID. You can only update the name, purgeHistoryDays, purgeImmediate, forceRestartTime. You must have the Runtime Management privilege to perform the UPDATE operation. If you have the Runtime Management Read Access privilege, you cannot update a Runtime.

Note: There might be a delay before you see the changes in the Runtime Information panel.

Authorizations:
basicAuth
path Parameters
id
required
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

Request Body schema:
optional
cloudId
string

(For Runtimes attached to Runtime clouds) A unique ID assigned by the system to the Runtime cloud.

createdBy
string

The user ID (email address) of a user who created the Runtime.

hostName
string

The name or IP address of the installation machine for the Runtime, Runtime cluster, or Runtime cloud. If the Runtime is attached to a Runtime cloud, the name of the Runtime cloud appears.

cloudMoleculeId
string

ID of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

purgeImmediate
boolean

If true, purges processed documents and temporary data immediately after a process ends. If you set this to true, also set purgeHistoryDays to a value greater than 0, such as 1. This combination not only purges your data right away, but also runs an extra cleanup process on a daily basis.

forceRestartTime
integer <int64>

The length of time, in milliseconds, that the platform waits before it forces the Runtime (or Runtime cluster or Runtime cloud) to restart after changes to the Atom's configuration. Changes do not take effect until a restart occurs. However, regardless of this value, in a Runtime cluster or Runtime cloud that uses forked execution, automatic restart is deferred until currently running processes are complete.

object (Atom_Nodes)
type
string
Enum: "CLOUD" "MOLECULE" "ATOM"

The type of Runtime. Possible values are: Cloud, Molecule, Atom

capabilities
Array of strings
Items Enum: "GATEWAY" "BROKER"
cloudName
string

The name of the associated Runtime cloud. This field is populated only for Cloud Attachments and Cloud runtime clusters.

dateInstalled
string <date-time>

The installation date and time of the Runtime, Runtime cluster, or Runtime cloud. For Runtimes attached to a Runtime cloud, this is the installation date and time of the Runtime cloud.

id
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

cloudOwnerName
string

The account name of the associated Runtime cloud's owner.

isCloudAttachment
boolean

Indicates if a Runtime is a Cloud Attachment. It is set to True for the Cloud Attachment; otherwise, it is False for other Runtime. It is only populated for Cloud Attachments and Cloud runtime clusters.

name
string

A user-defined name for the Runtime, Runtime cluster, or Runtime cloud.

cloudMoleculeName
string

The name of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

instanceId
string

(For Runtimes attached to Runtime clouds) A unique ID for the Runtime. The ID consists of the owning account ID followed by a period and a suffix.

purgeHistoryDays
integer <int32>

The number of days after a process run when the purging of logs, processed documents, and temporary data occurs. The default is 30 days. The maximum is 9999. A value of 0 disables purging.

status
string
Enum: "UNKNOWN" "ONLINE" "WARNING" "OFFLINE"

The status of the Runtime. Possible values are: UNKNOWN, ONLINE, WARNING, OFFLINE

description
string

An optional field to provide additional context for runtimes. The maximum character limit is 255.

statusDetail
string

Provides more granular status details for the runtime.

Possible values:

When the runtime status is ONLINE:

  • ONLINE_RUNNING
  • ONLINE_STOPPING
  • ONLINE_STARTING
  • CLUSTER_ISSUE
  • RESTARTING
  • RESTARTING_TOO_LONG
  • RESTARTING_DEAD

When the runtime status is OFFLINE:

  • OFFLINE
  • OFFLINE_NOT_STOPPED
  • OFFLINE_NOT_INITIALIZED
  • OFFLINE_WITH_ERROR
  • OFFLINE_WITH_CLUSTER_ISSUE
  • DELETED
  • OFFBOARDING

When the runtime status is WARNING: CLUSTER_ISSUE

When the runtime status is UNKNOWN: UNKNOWN

currentVersion
string

A string that identifies the Runtime, Runtime cluster, or Runtime cloud's latest build.

Responses

Response Schema:
cloudId
string

(For Runtimes attached to Runtime clouds) A unique ID assigned by the system to the Runtime cloud.

createdBy
string

The user ID (email address) of a user who created the Runtime.

hostName
string

The name or IP address of the installation machine for the Runtime, Runtime cluster, or Runtime cloud. If the Runtime is attached to a Runtime cloud, the name of the Runtime cloud appears.

cloudMoleculeId
string

ID of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

purgeImmediate
boolean

If true, purges processed documents and temporary data immediately after a process ends. If you set this to true, also set purgeHistoryDays to a value greater than 0, such as 1. This combination not only purges your data right away, but also runs an extra cleanup process on a daily basis.

forceRestartTime
integer <int64>

The length of time, in milliseconds, that the platform waits before it forces the Runtime (or Runtime cluster or Runtime cloud) to restart after changes to the Atom's configuration. Changes do not take effect until a restart occurs. However, regardless of this value, in a Runtime cluster or Runtime cloud that uses forked execution, automatic restart is deferred until currently running processes are complete.

object (Atom_Nodes)
type
string
Enum: "CLOUD" "MOLECULE" "ATOM"

The type of Runtime. Possible values are: Cloud, Molecule, Atom

capabilities
Array of strings
Items Enum: "GATEWAY" "BROKER"
cloudName
string

The name of the associated Runtime cloud. This field is populated only for Cloud Attachments and Cloud runtime clusters.

dateInstalled
string <date-time>

The installation date and time of the Runtime, Runtime cluster, or Runtime cloud. For Runtimes attached to a Runtime cloud, this is the installation date and time of the Runtime cloud.

id
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

cloudOwnerName
string

The account name of the associated Runtime cloud's owner.

isCloudAttachment
boolean

Indicates if a Runtime is a Cloud Attachment. It is set to True for the Cloud Attachment; otherwise, it is False for other Runtime. It is only populated for Cloud Attachments and Cloud runtime clusters.

name
string

A user-defined name for the Runtime, Runtime cluster, or Runtime cloud.

cloudMoleculeName
string

The name of the Runtime cloud cluster to which the Cloud Attachment is assigned. This field is populated only for Cloud Attachments.

instanceId
string

(For Runtimes attached to Runtime clouds) A unique ID for the Runtime. The ID consists of the owning account ID followed by a period and a suffix.

purgeHistoryDays
integer <int32>

The number of days after a process run when the purging of logs, processed documents, and temporary data occurs. The default is 30 days. The maximum is 9999. A value of 0 disables purging.

status
string
Enum: "UNKNOWN" "ONLINE" "WARNING" "OFFLINE"

The status of the Runtime. Possible values are: UNKNOWN, ONLINE, WARNING, OFFLINE

description
string

An optional field to provide additional context for runtimes. The maximum character limit is 255.

statusDetail
string

Provides more granular status details for the runtime.

Possible values:

When the runtime status is ONLINE:

  • ONLINE_RUNNING
  • ONLINE_STOPPING
  • ONLINE_STARTING
  • CLUSTER_ISSUE
  • RESTARTING
  • RESTARTING_TOO_LONG
  • RESTARTING_DEAD

When the runtime status is OFFLINE:

  • OFFLINE
  • OFFLINE_NOT_STOPPED
  • OFFLINE_NOT_INITIALIZED
  • OFFLINE_WITH_ERROR
  • OFFLINE_WITH_CLUSTER_ISSUE
  • DELETED
  • OFFBOARDING

When the runtime status is WARNING: CLUSTER_ISSUE

When the runtime status is UNKNOWN: UNKNOWN

currentVersion
string

A string that identifies the Runtime, Runtime cluster, or Runtime cloud's latest build.

Request samples

Content type
{
  • "id": "3456789a-bcde-f012-3456-789abcdef012",
  • "purgeHistoryDays": 90
}

Response samples

Content type
{
  • "@type": "Atom",
  • "id": "3456789a-bcde-f012-3456-789abcdef012",
  • "purgeHistoryDays": 90
}

Deletes a Runtime object

Deletes the Runtime object with the specified ID. You must have the Runtime Management privilege to perform the DELETE operation. If you have the Runtime Management Read Access privilege, you cannot delete a Runtime.

Authorizations:
basicAuth
path Parameters
id
required
string

A unique ID for the Runtime, Runtime cluster, or Runtime cloud.

Responses

Response samples

Content type
{
  • "message": "Access denied due to insufficient permissions."
}

Retrieves multiple Runtime objects by identifier

To learn more about bulk, refer to the topic Bulk GET operations.

Authorizations:
basicAuth
Request Body schema:
optional
Array of objects (BulkId)
type
string
Enum: "GET" "DELETE" "UPDATE" "CREATE"

Responses

Response Schema:
Array of objects
Array
required
object (Atom)
errorMessage
string
id
string
index
integer <int32>
statusCode
integer <int32>

Request samples

Content type
{
  • "request": [
    • {
      }
    ],
  • "type": "GET"
}

Response samples

Content type
{
  • "response": [
    • {
      }
    ]
}

Queries for a Runtime object(s)

Retrieves details of runtimes that were created by the authenticating account. Without applying query filters, the query returns all non-deleted runtimes. It is recommended to filter the results using query filters.

For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.

Authorizations:
basicAuth
Request Body schema:
optional

Possible properties include: name, id, hostname, status, type, capabilities, cloudId, attachmentCloudId, cloudMoleculeId, instanceId, isCloudAttachment

required
object
object

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Atom)

Request samples

Content type
Example
{
  • "QueryFilter": {
    • "expression": {
      }
    }
}

Response samples

Content type
{
  • "numberOfResults": 6,
  • "@type": "QueryResult",
  • "result": [
    • {
      },
    • {
      }
    ]
}

Retrieves additional results for a Runtime query

To learn about using queryMore, refer to the topic Query paging.

Authorizations:
basicAuth
Request Body schema: text/plain
required
string

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Atom)

Response samples

Content type
{
  • "numberOfResults": 6,
  • "@type": "QueryResult",
  • "result": [
    • {
      },
    • {
      }
    ]
}